Package com.io7m.smfj.format.binary2.internal

## Class SMFB2ParsingSectionTriangles

- java.lang.Object
- - com.io7m.smfj.format.binary2.internal.SMFB2ParsingSectionTriangles

- All Implemented Interfaces:
    `SMFB2StructureParserType<SMFPartial<SMFVoid>>`

      public final class SMFB2ParsingSectionTriangles
      extends java.lang.Object
      implements SMFB2StructureParserType<SMFPartial<SMFVoid>>

  An 'end' section.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMFB2ParsingSectionTriangles​(SMFB2Section inSectionHeader, SMFHeader inSMFHeader, SMFTriangleTracker inTriangleTracker, SMFParserEventsDataTrianglesType inTriangles)` | Construct a parser.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static long` | `magic()` |
    `SMFPartial<SMFVoid>` | `parse​(SMFB2ParsingContextType context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMFB2ParsingSectionTriangles

          public SMFB2ParsingSectionTriangles​(SMFB2Section inSectionHeader,
                                              SMFHeader inSMFHeader,
                                              SMFTriangleTracker inTriangleTracker,
                                              SMFParserEventsDataTrianglesType inTriangles)

      Construct a parser.
      Parameters:
        `inSMFHeader` - The SMF header
        `inTriangles` - The triangle receiver
        `inTriangleTracker` - The triangle tracker
        `inSectionHeader` - The section header for this section

  - ### Method Detail

    - #### magic

          public static long magic()

      Returns:
        The magic number identifying the section.

    - #### parse

          public SMFPartial<SMFVoid> parse​(SMFB2ParsingContextType context)
                                    throws java.io.IOException

      Specified by:
        `parse` in interface `SMFB2StructureParserType<SMFPartial<SMFVoid>>`
      Throws:
        `java.io.IOException`